<template>
<div>
<v-row class="position-relative">
  <v-col cols="12" sm="5" md="6" class="box-photo-profile">
    <v-parallax src="/imgs/profile.png"></v-parallax>
  </v-col>

  <v-col cols="12" sm="6" md="6" class="card-data">
    <div class="profile-ident">
      <h2 class="name">{{ user.name }}</h2>
      <p class="work">Video Editor</p>
    </div>

    <profile-data-user/>
  </v-col>
</v-row>

<v-container fluid>
    <v-row>
      <v-col cols="6" sm="4" md="3" v-for="(post, i) in videos" :key="i">
        <box-video :img="post.image" :uri="`profile/${user.uri}/${post.uri}`" :name="post.name" :category="post.category.name"/>
      </v-col>
    </v-row>
  </v-container>
</div>
</template>

<script>
export default {
  name: 'IndexProfile',
  head () {
    return {
      bodyAttrs: {
        class: 'alter-container'
      }
    }
  },
  props: {
    videos: Array,
    user: Object
  },
  created () {
    this.$nuxt.$emit('setClassContainer')
  }
}
</script>

<style scoped>

@media (min-width: 600px) {
  .card-data{
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}

@media (max-width: 600px) {
  .card-data{
    position: absolute;
    z-index: 3;
    bottom: 0;
  }

  .card-data .v-card, .profile-ident{
    margin-left: 28px;
    margin-right: 28px;
    top:60px;
    color: #FFF;
  }

  .profile-ident .name{
    font-size: 48px;
    font-weight: normal;
  }

  .profile-ident .work{
    font-size: 23px;
    font-weight: normal;
  }

  .position-relative{
    position: relative;
    margin-bottom: 100px;
  }

  .box-photo-profile::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    background: linear-gradient(180deg, rgba(85, 85, 85, 0.0001) 50%, rgba(85, 85, 85, 0.774966) 91.35%);
    bottom: 10px;
  }
}
</style>
